curl --request GET \
--url https://api.pay.izichange.com/v1/products/{id}/manage \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.pay.izichange.com/v1/products/{id}/manage"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.pay.izichange.com/v1/products/{id}/manage', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"description": {},
"amount": "<string>",
"currency": "<string>",
"assetCode": {},
"permanentLinkSlug": "<string>",
"imageUrl": {},
"isActive": true,
"paymentLink": "<string>",
"createdAt": "<string>",
"stats": {
"totalIntents": 123,
"completedIntents": 123,
"totalRevenue": "<string>"
}
}Récupérer un produit et ses statistiques
Renvoie le détail du produit ainsi qu’un agrégat de ses ventes : nombre total de paiements générés, nombre de paiements complétés et chiffre d’affaires net cumulé.
Autorisations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Paramètres de chemin
Identifiant du produit.
Réponse
Détail et statistiques du produit.
Identifiant unique du produit.
Nom du produit affiché au client.
Description longue affichée sur la page de paiement.
Prix du produit — chaîne décimale.
Code de la devise (fiat ou crypto).
Code de l'actif crypto suggéré pour le paiement (optionnel).
Slug utilisé pour construire le lien de paiement permanent (uniquement minuscules, chiffres et tirets).
URL d'une image illustrant le produit (optionnelle).
Indique si le produit est actif et payable.
Lien permanent à partager pour vendre ce produit.
Date de création — ISO 8601.
Statistiques agrégées de ventes pour ce produit.
Show child attributes
Show child attributes